Bug 1471022 - nesc-1.3.5-6.fc27 FTBFS: macro.c:1576:8: error: format not a string literal and no format arguments
nesc-1.3.5-6.fc27 FTBFS: macro.c:1576:8: error: format not a string literal a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nesc (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 05:32 EDT by Petr Pisar
Modified: 2017-08-28 07:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: nesc-1.3.5-9.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 07:42:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github tinyos/nesc/pull/40 None None None 2017-08-28 07:42 EDT

  None (edit)
Description Petr Pisar 2017-07-14 05:32:50 EDT
nesc-1.3.5-6.fc27 fails to build in F27:

gcc  -I. -I. -I./../include -I./include  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wmissing-format-attribute -pedantic -Wno-long-long  -I. -I. -I./../include -I./include  -c -o macro.o -MT macro.o -MMD -MP -MF .deps/macro.Po macro.c
In file included from macro.c:30:0:
internal.h:488:5: warning: this use of "defined" may not be portable [-Wexpansion-to-defined]
 #if HAVE_DESIGNATED_INITIALIZERS
     ^~~~~~~~~~~~~~~~~~~~~~~~~~~~
macro.c: In function '_cpp_builtin_macro_text':
macro.c:158:26: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
       pbuffer->timestamp = U"\"??? ??? ?? ??:??:?? ????\"";
                          ^
macro.c:256:20: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
        pfile->date = U"\"??? ?? ????\"";
                    ^
macro.c:257:20: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
        pfile->time = U"\"??:??:??\"";
                    ^
macro.c: In function 'create_iso_definition':
macro.c:1576:8: error: format not a string literal and no format arguments [-Werror=format-security]
        cpp_error (pfile, CPP_DL_ERROR, paste_op_error_msg);
        ^~~~~~~~~
macro.c:1589:8: error: format not a string literal and no format arguments [-Werror=format-security]
        cpp_error (pfile, CPP_DL_ERROR, paste_op_error_msg);
        ^~~~~~~~~
macro.c: In function 'parse_params':
macro.c:1389:19: warning: this statement may fall through [-Wimplicit-fallthrough=]
    if (prev_ident || macro->paramc == 0)
        ~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~
macro.c:1393:2: note: here
  case CPP_COMMA:
  ^~~~
cc1: some warnings being treated as errors
make[1]: *** [Makefile:192: macro.o] Error 1

This seems to happen since upgrading GCC to 7.0. Koschei reports last successful  build on 2017-02-10 and first failure on 2017-03-08.
Comment 1 Jan Kurik 2017-08-15 04:05:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.